
Name:		hotwayd
Summary:	POP3 to HTTPMail gateway daemon to access hotmail.com/msn.com/lycos mailboxes
Group:		System/Servers
Version:	0.8.4
Release:	%mkrel 1
License:	GPL
URL:		http://hotwayd.sourceforge.net/
Source:		%name-%version.tar.bz2
Source1:	%name.xinetd.bz2
Source2:	hotsmtpd.xinetd.bz2
BuildRoot:	%_tmppath/%name-%version-buildroot
BuildRequires:	libxml2-devel
BuildRequires:	libsasl-devel
Requires:	xinetd

%description
Hotway is a POP3-HTTPMail gateway daemon. HTTPMail is an undocumented 
WebDAV-based protocol used by hotmail. This gateway allows *any* POP3 
compatible email client to handle (download, delete, etc) messages on 
hotmail.com, msn.com and lycos.co.uk mailboxes.


%package -n hotsmtpd
Summary:	ESMTP to HTTPMail gateway daemon to access hotmail.com/msn.com/lycos mailboxes
Group:		System/Servers
Requires:	xinetd

%description -n hotsmtpd
This package contains hotsmtpd, a ESMTP to HTTPMail proxy. It works
like Hotwayd. It allows any smtp client to post through a hotmail account.


%prep
%setup -q

%build
%configure
%make

%install
rm -rf %buildroot
%makeinstall
mkdir -p %buildroot%_sysconfdir/xinetd.d
bzcat %SOURCE1 > %buildroot%_sysconfdir/xinetd.d/%name
bzcat %SOURCE2 > %buildroot%_sysconfdir/xinetd.d/hotsmtpd
chmod a+x %buildroot%_sbindir/%name

%post
service xinetd condrestart
%clean_menus

%postun
service xinetd condrestart
%clean_menus

%clean
rm -rf %buildroot


####----------hotwayd----------####
%files
%defattr(0644,root,root,755)
%doc README NEWS COPYING AUTHORS ChangeLog
%doc %_mandir/man1/%name.1*
%config(noreplace) %_sysconfdir/xinetd.d/%name

%defattr(0755,root,root,755)
%_sbindir/%name


####----------hotsmtpd----------####
%files -n hotsmtpd
%defattr(0644,root,root,755)
%config(noreplace) %_sysconfdir/xinetd.d/hotsmtpd
%doc README.hotsmtpd
%doc %_mandir/man1/hotsmtpd.1*

%defattr(0755,root,root,755)
%_sbindir/hotsmtpd


%changelog
* Thu Mar 01 2007 José Melo <mmodem00@gmail.com>  0.8.4-1pclos2007
- pclo build

* Fri Oct 06 2006 José Melo <mmodem00@gmail.com> 0.8.4-1.mdk2007.0.mde
- Build for mandriva 2007

* Wed Jun 01 2006 José Melo <mmodem00@gmail.com> 0.8.4-2.mdk2006.0.mde
- Add missing xinetd require
- Arrange spec

* Fri Oct 21 2005 José Melo <mmodem00@gmail.com> 0.8.4-1.mdk2006.0.mde
- New name (Mandriva Enhanced Developers - mde, Thac & Zé)
- New version 0.8.4
